package at.bestsolution.rsd.rt.rest.apachehttp;

import java.net.URISyntaxException;
import java.util.function.BiConsumer;
import java.util.function.Consumer;

import org.apache.http.client.fluent.Request;
import org.apache.http.client.utils.URIBuilder;

public class ApacheDeleteRequest extends BaseApacheRequest {

	public ApacheDeleteRequest(HttpExecutor httpExecutor, String endpoint) {
		super(httpExecutor, endpoint);
	}

	@Override
	protected Request createRequest() throws URISyntaxException {
		URIBuilder builder = new URIBuilder(endpoint);

		for (Consumer<BiConsumer<String, String>> param : parameters) {
			param.accept(builder::addParameter);
		}

		return org.apache.http.client.fluent.Request.Delete(builder.build());
	}

}
