package at.bestsolution.rsd.rt.rest.apachehttp;

import java.net.URISyntaxException;
import java.util.function.BiConsumer;
import java.util.function.Consumer;

import org.apache.http.client.utils.URIBuilder;

import at.bestsolution.rsd.rt.rest.Request;

public class ApacheGetRequest extends BaseApacheRequest implements Request {
	public ApacheGetRequest(HttpExecutor httpExecutor, String endpoint) {
		super(httpExecutor, endpoint);
	}

	@Override
	protected org.apache.http.client.fluent.Request createRequest() throws URISyntaxException {
		URIBuilder builder = new URIBuilder(endpoint);
		
		for( Consumer<BiConsumer<String,String>> param : parameters ) {
			param.accept(builder::addParameter);
		}
		
		return org.apache.http.client.fluent.Request.Get(builder.build());
	}
}
