package at.bestsolution.rsd.rt.rest.apachehttp.internal;

import java.io.IOException;

import org.apache.http.client.fluent.Executor;
import org.apache.http.client.fluent.Request;
import org.apache.http.client.fluent.Response;
import org.osgi.service.component.annotations.Component;

import at.bestsolution.rsd.rt.rest.apachehttp.HttpExecutor;

@Component(property = "service.ranking:Integer=-1")
public class DefaultHttpExecutor implements HttpExecutor {
	private Executor instance = Executor.newInstance();
	
	@Override
	public Response execute(Request request) throws IOException {
		return instance.execute(request);
	}

	@Override
	public boolean test(String method, String uri) {
		return true;
	}
}
